Subject: Re: Pine Size & Config Help

From: [email-masked]
Date: Tue, 19 Nov 96 08:37:09

Frederick Moor:

We're running Pine v3.95 under IBM AIX v4.1.4.  The source code was pulled from 
cac.washington.edu and compiled on our machine.  Most of the folks who have 
simply downloaded the binaries seem to have had many problems; so, we did the 
compiling ourselves.

I hope this information helps you out.

- Michael

-------------------------------------------------------------
Michael Wright, Systems Analyst         email: [email-masked]
Yakima Products, Inc.                   Ph:    707-826-8175
P.O. Box 4899, Arcata, CA 95521 (USA)   Fx:    707-826-8149
-------------------------------------------------------------

After downloading the source files, the following steps were done:
     1.   Copy the pine3.95.tar file into the local programs directory:
               mkdir /programs
               mv pine3.95.tar /programs/.
     
     2.   Unzip the Pine email program into its directory tree:
               cd /programs
               cat pine3.95.tar | tar xvf -

     3.   Update the PICO editor to not freeze under AIX 4.1 (which changes
          Pico editor to use terminfo).  These alterations were recommended
          by a couple of Pine sites.

          a.   Move into the PICO directory:  cd /programs/pine3.95/pico
          b.   Edit makefile.a41 change tcap.c/tcap.o entries to tinfo.c/tinfo.o
          c.   Edit os_unix.h and update the following (note the added a41
               define):
                    /* Machine/OS definition                        */
                    #if     defined(ptx) || defined(sgi) || defined(sv4) ||
                              defined(sco) || defined(a41)
                    #define TERMINFO        1       /* Use TERMINFO */
                    #else
                    #define TERMCAP         1       /* Use TERMCAP  */
                    #endif
          d.   Edit tinfo.c (in routine tinfoopen()):
                   if (Pmaster) {
                       /*
                        *  setupterm() automatically retrieves the value
                        *  of the TERM variable.
                        */
                       int err;
                       setupterm ((char *)0, 1, &err);      /* <-- Add cast */
                       if (err != 1) return FALSE;
                   }
                   else {
                       /*
                        * setupterm() issues a message and exits, if the
                        * terminfo data base is gone or the term type is
                        * unknown, if arg2 is 0.
                        */
                       setupterm ((char *)0, 1, (int *)0);  /* <-- Add cast */
                   }

          With these small changes Pine 3.95 has been rock solid under AIX
          4.1.4 or 4.2.
     
     4.   Make sure the /usr/local/lib and /usr/local/bin directories exist
          before you go any further.  MUST be done prior to compiling the
          Pine email program.

     5.   Make sure that /usr/local/bin is in everyone's path, so these
          programs can be run.  The /usr/local/bin directory is where UNIX
          expects to find site-specific programs (such as email, utiliites).

     6.   Compile the Pine email program for AIX v4.1.x:
               cd /programs/pine3.95
               build clean
               build a41
     
     7.   Link the Pine binary programs into the directory that all users
          are supposed to see:
               ln -s /programs/pine3.95/bin/imapd /usr/local/bin/imapd
               ln -s /programs/pine3.95/bin/mtest /usr/local/bin/mtest
               ln -s /programs/pine3.95/bin/pico /usr/local/bin/pico
               ln -s /programs/pine3.95/bin/pilot /usr/local/bin/pilot
               ln -s /programs/pine3.95/bin/pine /usr/local/bin/pine
     
          Note:  Instead of linking the programs, a script/batch file can
          be written that will run Pine; that script file could be created in
          the /admin/scripts directory:  /admin/scripts/pine

     8.   Create and update the Pine global config file for all users:
     
          a.   pine -conf > /usr/local/lib/pine.conf
               vi /usr/local/lib/pine.conf
     
          b.   Edit the default printer for all users:
               personal-print-command=HP Laserjet IIISI [] lp -dhpiiisi_1
     
          c.   Edit the SMTP server connection, if SENDMAIL should not
               be used and if SMTP should be talked to directly:
               smtp-server=     ??? don't know what to put here
     
     9.   Update the user menu to call the appropriate programs.

     10.  Make a new global addressbook (from the /etc/passwd file):
          a.   # pine-addressbook
          b.   Edit the output /tmp/.addressbook.new file and strip out the
               junk email addresses we do not want in the addressbook.
          c.   # mv /tmp/.addressbook.new /usr/local/lib/.addressbook
          d.   # pine-address-index

Below is a copy of our /usr/local/lib/pine.conf file, after installation of Pine
v3.95.

#      /usr/local/lib/pine.conf -- system wide pine configuration
#
# Values here affect all pine users unless they've overidden the values
# in their .pinerc files.  A copy of this file with current comments may
# be obtained by running "pine -conf". It will be printed to standard output.
#
# For a variable to be unset its value must be null/blank.  This is not the
# same as the value of "empty string", which can be used to effectively
# "unset" a variable that has a default or previously assigned value.
# To set a variable to the empty string its value should be "".
# Switch variables are set to either "yes" or "no", and default to "no".
# Except for feature-list items, which are additive, values set in the
# .pinerc file replace those in pine.conf, and those in pine.conf.fixed
# over-ride all others.  Features can be over-ridden in .pinerc or
# pine.conf.fixed by pre-pending the feature name with "no-".
#
# (These comments are automatically inserted.)

# Over-rides your full name from Unix password file. Required for PC-Pine.
personal-name=

# Sets domain part of From: and local addresses in outgoing mail.
user-domain=hercules.yakima.com

# List of SMTP servers for sending mail. If blank: Unix Pine uses sendmail.
smtp-server=

# NNTP server for posting news. Also sets news-collections for news reading.
nntp-server=

# Path of (local or remote) INBOX, e.g. ={mail.somewhere.edu}inbox
# Normal Unix default is the local INBOX (usually /usr/spool/mail/$USER).
inbox-path=

# List of incoming msg folders besides INBOX, e.g. ={host2}inbox, {host3}inbox
# Syntax: optnl-label {optnl-imap-host-name}folder-path
incoming-folders=

# List of directories where saved-message folders may be. First one is
# the default for Saves. Example: Main {host1}mail/[], Desktop mail\[]
# Syntax: optnl-label {optnl-imap-hostname}optnl-directory-path[]
folder-collections=

# List, only needed if nntp-server not set, or news is on a different host
# than used for NNTP posting. Examples: News *[] or News *{host3/nntp}[]
# Syntax: optnl-label *{news-host/protocol}[]
news-collections=

# List of folder pairs; the first indicates a folder to archive, and the
# second indicates the folder read messages in the first should
# be moved to.
incoming-archive-folders=

# List of context and folder pairs, delimited by a space, to be offered for
# pruning each month.  For example: {host1}mail/[] mumble
pruned-folders=

# Over-rides default path for sent-mail folder, e.g. =old-mail (using first
# folder collection dir) or ={host2}sent-mail or ="" (to suppress saving).
# Default: sent-mail (Unix) or SENTMAIL.MTX (PC) in default folder collection.
default-fcc=

# Over-rides default path for saved-msg folder, e.g. =saved-messages (using
first
# folder collection dir) or ={host2}saved-mail or ="" (to suppress saving).
# Default: saved-messages (Unix) or SAVEMAIL.MTX (PC) in default folder
collection.
default-saved-msg-folder=

# Over-rides default path for postponed messages folder, e.g. =pm (which uses
# first folder collection dir) or ={host4}pm (using home dir on host4).
# Default: postponed-msgs (Unix) or POSTPOND.MTX (PC) in default fldr coltn.
postponed-folder=

# Pine compares this value with the first folder collection directory.
# If they match (or no folder collections are defined), and the directory
# does not exist, Pine will create and use it. Default: ~/mail
mail-directory=

# If set, specifies where already-read messages will be moved upon quitting.
read-message-folder=

# Over-rides default path for signature file. Default is ~/.signature
signature-file=

# List of file or path names for global/shared addressbook(s).
# Default: none
# Syntax: optnl-label path-name
global-address-book=/usr/local/lib/.addressbook

# List of file or path names for personal addressbook(s).
# Default: ~/.addressbook (Unix) or \PINE\ADDRBOOK (PC)
# Syntax: optnl-label path-name
address-book=

# List of features; see Pine's Setup/options menu for the current set.
# e.g. feature-list= select-without-confirm, signature-at-bottom
# Default condition for all of the features is no-.
feature-list=

# Pine executes these keys upon startup (e.g. to view msg 13: i,j,1,3,CR,v)
initial-keystroke-list=

# Only show these headers (by default) when composing messages
default-composer-hdrs=

# Add these customized headers (and possible default values) when composing
customized-hdrs=

# When viewing messages, include this list of headers
viewer-hdrs=

# Determines default folder name for Saves...
# Choices: default-folder, by-sender, by-from, by-recipient, last-folder-used.
# Default: "default-folder", i.e. "saved-messages" (Unix) or "SAVEMAIL" (PC).
saved-msg-name-rule=

# Determines default name for Fcc...
# Choices: default-fcc, by-recipient, last-fcc-used.
# Default: "default-fcc" (see also "default-fcc=" variable.)
fcc-name-rule=

# Sets presentation order of messages in Index. Choices:
# subject, from, arrival, date, size. Default: "arrival".
sort-key=

# Sets presentation order of address book entries. Choices: dont-sort,
# fullname-with-lists-last, fullname, nickname-with-lists-last, nickname
# Default: "fullname-with-lists-last".
addrbook-sort-rule=

# Sets the default folder and collectionoffered at the Goto Command's prompt.
goto-default-rule=

# Reflects capabilities of the display you have. Default: US-ASCII.
# Typical alternatives include ISO-8859-x, (x is a number between 1 and 9).
character-set=

# Specifies the program invoked by ^_ in the Composer,
# or the "enable-alternate-editor-implicitly" feature.
editor=

# Specifies the program invoked by ^T in the Composer.
speller=

# Specifies the column of the screen where the composer should wrap.
composer-wrap-column=

# Specifies the string to insert when replying to  message.
reply-indent-string=

# Specifies the string to use when sending a  message with no to or cc.
empty-header-message=

# Program to view images (e.g. GIF or TIFF attachments).
image-viewer=

# If "user-domain" not set, strips hostname in FROM address. (Unix only)
use-only-domain-name=

# Your default printer selection
printer=

# List of special print commands
personal-print-command=Yakima HP 3si [] lp -dhpiiisi_1

# The system wide standard printers
standard-printer=

# Full name for bug report address used by "Report Bug" command.
# Default: Pine Developers
bugs-fullname=

# Email address used to send bug reports.
# Default: [email-masked]
bugs-address=

# Program/Script used by "Report Bug" command. No default.
bugs-additional-data=

# Full name for suggestion address used by "Report Bug" command.
# Default: Pine Developers
suggest-fullname=

# Email address used to send suggestions.
# Default: [email-masked]
suggest-address=

# Full name for "local support" address used by "Report Bug" command.
# Default: Local Support
local-fullname=

# Email address used to send to "local support".
# Default: postmaster
local-address=

# Force these address book entries into all writable personal address books.
# Syntax is   forced-abook-entry=nickname|fullname|address
# This is a comma-separated list of entries, each with syntax above.
# Existing entries with same nickname are not replaced.
# Example: help|Help [email-masked]
forced-abook-entry=

# This is a number between 1 and 5.  It is the number of times a user will
# have to enter a password when they run the keyboard lock command in the
# main menu.  Default is 1.
kblock-passwd-count=

# This names the path to an alternative program, and any necessary arguments,
# to be used in posting mail messages.  Example:
#                    /usr/lib/sendmail -oem -t -oi
# or,
#                    /usr/local/bin/sendit.sh
# The latter a script found in Pine distribution's contrib/util directory.
# NOTE: The program MUST read the message to be posted on standard input,
#       AND operate in the style of sendmail's "-t" option.
sendmail-path=

# This names the root of the tree to which the user is restricted when reading
# and writing folders and files.  For example, on Unix ~/work confines the
# user to the subtree beginning with their work subdirectory.
# (Note: this alone is not sufficient for preventing access.  You will also
# need to restrict shell access and so on, see Pine Technical Notes.)
# Default: not set (so no restriction)
operating-dir=

# This variable takes a list of programs that message text is piped into
# after MIME decoding, prior to display.
display-filters=

# This defines a program that message text is piped into before MIME
# encoding, prior to sending
sending-filters=

# A list of alternate addresses the user is known by
alt-addresses=

# This is a list of formats for address books.  Each entry in the list is made
# up of space-delimited tokens telling which fields are displayed and in
# which order.  See help text
addressbook-formats=

# This gives a format for displaying the index.  It is made
# up of space-delimited tokens telling which fields are displayed and in
# which order.  See help text
index-format=

# The number of lines of overlap when scrolling through message text
viewer-overlap=

# Number of lines from top and bottom of screen where single
# line scrolling occurs.
scroll-margin=

# The number of seconds to sleep after writing a status message
status-message-delay=

# The approximate number of seconds between checks for new mail
mail-check-interval=

# Full path and name of NEWSRC file
newsrc-path=

# Path and filename of news configation's active file.
# The default is typically "/usr/lib/news/active".
news-active-file-path=

# Directory containing system's news data.
# The default is typically "/usr/spool/news"
news-spool-directory=

# Path and filename of the program used to upload text from your terminal
# emulator's into Pine's composer.
upload-command=

# Text sent to terminal emulator prior to invoking the program defined by
# the upload-command variable.
# Note: _FILE_ will be replaced with the temporary file used in the upload.
upload-command-prefix=

# Path and filename of the program used to download text via your terminal
# emulator from Pine's export and save commands.
download-command=

# Text sent to terminal emulator prior to invoking the program defined by
# the download-command variable.
# Note: _FILE_ will be replaced with the temporary file used in the downlaod.
download-command-prefix=

# Sets the search path for the mailcap cofiguration file.
# NOTE: colon delimited under UNIX, semi-colon delimited under DOS/Windows/OS2.
mailcap-search-path=

# Sets the search path for the mimetypes cofiguration file.
# NOTE: colon delimited under UNIX, semi-colon delimited under DOS/Windows/OS2.
mimetype-search-path=

# Sets the time in seconds that Pine will attempt to open a network
# connection.  The default is 30, the minimum is 5, and the maximum is
# system defined (typically 75).
tcp-open-timeout=

# Sets the time in seconds that Pine will attempt to open a UNIX remote
# shell connection.  The default is 15, min is 5, and max is unlimited.
# Zero disables rsh altogether.
rsh-open-timeout=

# Sets the version number Pine will use as a threshold for offering
# its new version message on startup.
new-version-threshold=

______________________________ Reply Separator _________________________________
Subject: Pine Size & Config Help
Author:  [email-masked] (Frederick C Moor) at INTERNET
Date:    11/19/96 8:23 AM

Michael,

I was browsing the pine-info today and say your note about the difference
in the size of Pine for 3.2x and 4.x.  While I have not compiled pine for
either of these environments, I can tell you that the sizes you list are
consistent with the file sizes shown in the binary ftp @
cac.washington.edu.  I was curious as to why the 4.x version would be
smaller when I noticed the difference.

I have downloaded the 3.2.x binaries and am now in the process of trying
to set pine up on my AIX box.  The documentation is rather misleading
when it says that all one has to do to run the application is to move the
binaries to /usr/bin.  I have done that but I receive "No host name of
domain set" when I try to run the application.  The documentation seems
to indicate that nothing needs to be set for the user-domain!?!

I am in the process of studying the documentation that I downloaded to
try and determine what needs to be in the pine.conf.  However, to make
the process a bit more efficient, I thought I might ask somebody who has
set up pine if I could see their pine.conf so that I can see what one
looks like.  I understand that many of the variables will need to be
changed but I think and example would be helpful.

Any help that you could offer would be much appreciated.

Frederick Moor
Marco Crane & Rigging Co.
Phoenix, Arizona
v:602.272.2671
f:602.352.0413